Version 4 RC1 Installing Software Issues

Need support for GhostBSD. Ask here if your question does not fit elsewhere.

Version 4 RC1 Installing Software Issues

Postby fmh » Thu Aug 07, 2014 5:18 pm

Hello,

I downloaded the i386 ISO of GhostBSD 4 RC1. I was able to get it to install under VMWare successfully. I then did the following like I have done in the past to install software under V3.5 and V4 B3. Under V4 B3 doing these steps would get the software to install.

# sudo portsnap fetch extract
# cd /usr/ports/ports-mgmt/pkg
# sudo make install clean
# sudo pkg2ng

When I do the pkg install I get the following error.

# sudo pkg install Hatari
Updating repository catalogue
FreeBSD repository is up-to-date
All repositories are up-to-date
pkg: Repo FreeBSD needs schema upgrade from 2006 to 2010 but it is opened readonly
pkg: need to re-create repo FreeBSD to upgrade schema version
Updating database digests format: 100%
pkg: No packages available to install matching 'Hatari' have been found in the repositories
fmh
 
Posts: 52
Joined: Wed Jul 23, 2014 5:07 pm

Version 4 RC1 Installing Software Issues

 

Re: Version 4 RC1 Installing Software Issues

Postby ericbsd » Thu Aug 07, 2014 10:46 pm

This means Hatari is not found in the repositories, same as chromium lately, you can try to install from ports which should work if it is well maintained.
ericbsd
Site Admin
 
Posts: 354
Joined: Mon Nov 19, 2012 11:54 pm

Re: Version 4 RC1 Installing Software Issues

Postby fmh » Fri Aug 08, 2014 2:06 am

They must have removed it today because it was there yesterday under Ver4 B3.

I will try other software I installed yesterday and see what happens.
fmh
 
Posts: 52
Joined: Wed Jul 23, 2014 5:07 pm

Re: Version 4 RC1 Installing Software Issues

Postby fmh » Fri Aug 08, 2014 2:33 am

I did a fresh install of Ver4 RC1 and got this when doing the Make Statement above.

*** Error code 1

Stop.
make[1]: stopped in /usr/ports/ports-mgmt/pkg
*** Error code 1

Stop.
make: stopped in /usr/ports/ports-mgmt/pkg
fmh
 
Posts: 52
Joined: Wed Jul 23, 2014 5:07 pm

Re: Version 4 RC1 Installing Software Issues

Postby fmh » Fri Aug 08, 2014 2:48 am

Hmm, I did on the fresh install of Ver 4 RC1 and even with the above errors it did a whole bunch of downloading and rebuilding and after a few minutes it asked if I wanted to download Hatari and it did and installed it.

# sudo pkg install Hatari

So maybe whatever happened before is taken care of.
fmh
 
Posts: 52
Joined: Wed Jul 23, 2014 5:07 pm

Re: Version 4 RC1 Installing Software Issues

Postby ericbsd » Fri Aug 08, 2014 8:57 am

First pkgng comes as default on GhostBSD 4 you do not need to do a ports install.

Second most of software need to be installed using lowercase
Code: Select all
ericbsd@pkg search hatari
hatari-1.7.0

sudo pkg install hatari
should install it.
ericbsd
Site Admin
 
Posts: 354
Joined: Mon Nov 19, 2012 11:54 pm

Re: Version 4 RC1 Installing Software Issues

Postby fmh » Fri Aug 08, 2014 11:14 am

I'm wondering if my Internet just happened to have issues at that time? My ISP is normally very reliable but slow.
fmh
 
Posts: 52
Joined: Wed Jul 23, 2014 5:07 pm

Re: Version 4 RC1 Installing Software Issues

Postby ericbsd » Fri Aug 08, 2014 5:42 pm

I don't think it's is your internet connection, if you put H instead h it is hatari and not Hatari.
ericbsd
Site Admin
 
Posts: 354
Joined: Mon Nov 19, 2012 11:54 pm

Re: Version 4 RC1 Installing Software Issues

Postby fmh » Fri Aug 08, 2014 6:13 pm

Well I did another fresh install of Ver4 RC1 under VMWare to see if I did something wrong. I did the usual first and then rebooted.

# sudo portsnap fetch extract
# cd /usr/ports/ports-mgmt/pkg
# sudo make install clean
# sudo pkg2ng

Here's what I get now :

# sudo pkg install hatari
Updating repository catalogue
FreeBSD repository is up-to-date
All repositories are up-to-date
pkg: Repo FreeBSD needs schema upgrade from 2006 to 2010 but it is opened readonly
pkg: need to re-create repo FreeBSD to upgrade schema version
pkg: No packages available to install matching 'hatari' have been found in the repositories
fmh
 
Posts: 52
Joined: Wed Jul 23, 2014 5:07 pm

Re: Version 4 RC1 Installing Software Issues

Postby ericbsd » Fri Aug 08, 2014 8:01 pm

fmh wrote:Well I did another fresh install of Ver4 RC1 under VMWare to see if I did something wrong. I did the usual first and then rebooted.

# sudo portsnap fetch extract
# cd /usr/ports/ports-mgmt/pkg
# sudo make install clean
# sudo pkg2ng

On GhostBSD 4.0 those step a useless. Pkgng is the default Package Manager in GhostBSD and installing pkgng from ports is not a good idea.

fmh wrote:Here's what I get now :

# sudo pkg install hatari
Updating repository catalogue
FreeBSD repository is up-to-date
All repositories are up-to-date
pkg: Repo FreeBSD needs schema upgrade from 2006 to 2010 but it is opened readonly
pkg: need to re-create repo FreeBSD to upgrade schema version
pkg: No packages available to install matching 'hatari' have been found in the repositories


If you have problem to install hatari from pkg install it from ports:
Code: Select all
cd /usr/ports/emulators/hatari
sudo make install clean


it will take more time to installed, but you will have more option the using pkg.
ericbsd
Site Admin
 
Posts: 354
Joined: Mon Nov 19, 2012 11:54 pm

Next

Return to General support

Who is online

Users browsing this forum: No registered users and 3 guests